<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-All-AppleCare-Coverage-for-an-OrgDevice",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-orgDevices-{}-appleCareCoverage"
  },
  "title" : "Get AppleCare coverage Information for a Device"
}
-->

# Get AppleCare coverage Information for a Device

Get a list of AppleCare coverage resources for an organization device.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/orgDevices/{id}/appleCareCoverage" \
-H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
    {
    "data": [
      {
        "type": "appleCareCoverage",
        "id": "XABC123X0ABC123X0",
        "attributes": {
          "contractCancelDateTime": null,
          "startDateTime": "2025-02-02T00:00:00Z",
          "isRenewable": false,
          "isCanceled": false,
          "description": "Limited Warranty",
          "agreementNumber": null,
          "endDateTime": "2026-02-02T00:00:00Z",
          "status": "ACTIVE",
          "paymentType": "NONE"
        }
      },
      {
        "type": "appleCareCoverage",
        "id": "0000000001",
        "attributes": {
          "contractCancelDateTime": null,
          "startDateTime": "2025-04-17T00:00:00Z",
          "isRenewable": true,
          "isCanceled": false,
          "description": "AppleCare+",
          "agreementNumber": "0000000001",
          "endDateTime": "2026-04-17T00:00:00Z",
          "status": "ACTIVE",
          "paymentType": "SUBSCRIPTION"
        }
      },
      {
        "type": "appleCareCoverage",
        "id": "abe-XABC123X0ABC123X0",
        "attributes": {
          "contractCancelDateTime": null,
          "startDateTime": "2025-04-17T00:00:00Z",
          "isRenewable": true,
          "isCanceled": false,
          "description": "AppleCare+ for Business",
          "agreementNumber": null,
          "endDateTime": null,
          "status": "ACTIVE",
          "paymentType": "ABE_SUBSCRIPTION"
        }
      }
    ],
    "links": {
      "self": "https://api-business.apple.com/v1/orgDevices/XABC123X0ABC123X0/appleCareCoverage"
    },
    "meta": {
      "paging": {
        "limit": 100
      }
    }
  }
```

## Topics

### Responses

[`AppleCareCoverageResponse`](/documentation/AppleBusinessAPI/AppleCareCoverageResponse)

A response that contains a list of AppleCare coverage resources that belongs to an organization device.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)